<?

  $displayList = true;

  // Solo si esta autenticado puede EDITAR/ELIMINAR/INSERTAR
  $eventAccess =  ( $user_auth && 
	( $user_level <= -1 || ( isset( $idg ) && $user_idg == $idg ) )
     );

  if ( $eventAccess )
  {
//echo "<p><b1>SI ESTAS AUTENTICADO</b1></p>";

    if ( isset( $del ) )
    {
      @mysql_query( "DELETE FROM eventos WHERE id=$del", $conexion );
    }
    if ( isset( $sins ) )
    {
	displayFORM( "./?dgo=eventos.php&ins=new&idg=$idg", $datos, $conexion );
	$displayList = false;
    }
    if ( isset( $ins ) )
    {
	$FIELDS  = "idg, FAlta, FEvento, HEvento, Lugar, Titulo, Notas";
	$FVALUES = "$idg, NOW(), '$db_FEvento', '$db_HEvento', '$db_Lugar', '$db_Titulo', '".urlencode($db_Notas)."'";
    	@mysql_query( "INSERT INTO eventos ($FIELDS) VALUES ($FVALUES)", $conexion );
    }
    if ( isset( $smod ) )
    {
	$res = @mysql_query( "SELECT FEvento, HEvento, Lugar, Titulo, Notas FROM eventos WHERE id = $smod", $conexion );
	$datos = @mysql_fetch_array( $res );
	displayFORM( "./?dgo=eventos.php&mod=$smod&idg=$idg", $datos, $conexion );
	$displayList = false;
    }
    if ( isset( $mod ) )
    {
	@mysql_query("UPDATE eventos SET FEvento='$db_FEvento', HEvento='HEvento', Lugar='$db_Lugar', Titulo='$db_Titulo', Notas='".urlencode($db_Notas)."' WHERE id=$mod", $conexion );
    }
  }

    if ( isset( $view ) )
    {
	$res = @mysql_query( "SELECT FEvento, HEvento, Lugar, Titulo, Notas FROM eventos WHERE id = $view", $conexion );
	$datos = @mysql_fetch_array( $res );
	displayFORM( "", $datos, $conexion );
	$displayList = true;
    }

  if ( $displayList )
	displayListEvnt();

 
function displayFORM( $ACTION, $datos, $conexion )
{
 list( $db_FEvento, $db_HEvento, $db_Lugar, $db_Titulo, $db_Notas ) = $datos;

 echo '<br><br><h1>Eventos del Grupo</h1><br><br>';
 echo '<center>';
 if  ( !empty($ACTION) )
   echo '<form method="POST" action="'.$ACTION.'">';
 echo '<table border="0"><tr>
	<td>Fecha: <input type="text" size="12"
            name="db_FEvento" value="'.$db_FEvento.'"></td>
            <td>Hora: <input type="text" size="12"
            name="db_HEvento" value="'.$db_HEvento.'"></td>
        </tr>
        <tr>
            <td>Descripción:</td>
            <td><input type="text" size="18" name="db_Titulo" value="'.$db_Titulo.'"></td>
        </tr>
        <tr>
            <td>Lugar:</td>
            <td><input type="text" size="18" name="db_Lugar" value="'.$db_Lugar.'"></td>
        </tr>
        <tr>
            <td colspan="2">Mas información:<br>
            <textarea name="db_Notas" rows="5" cols="34">'.urldecode($db_Notas).'</textarea></td>
        </tr>
    </table><br>';
 if ( !empty($ACTION) )
  echo '<input type="reset" name="B1" value="Cancelar"><input
            type="submit" name="B2" value="Enviar &gt;&gt; &gt;">
</form>';
 echo '</center>';
}

function displayListEvnt( )
{
 global $conexion, $idg, $eventAccess;

 $res = @mysql_query( "SELECT id, FEvento, HEvento, Titulo FROM eventos WHERE idg=$idg", $conexion );
 echo '<center><table width="90%" class="td_estilos"><tr><td>Fecha y Hora</td><td>Descripción del evento</td><td>&nbsp;</td></tr>';
 echo '<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>';
 while( $datos=@mysql_fetch_array($res) )
 {
  list ( $db_id, $db_FEvento, $db_HEvento, $db_Titulo )= $datos;
  echo "<tr><td>$db_FEvento &nbsp; $db_HEvento</td><td><a href=\"./?dgo=eventos.php&view=$db_id&idg=$idg\">$db_Titulo</a></td>";
  echo "<td>[<a href=\"./?dgo=eventos.php&del=$db_id&idg=$idg\"> - </a>]</td></tr>";
 }
 echo '</table></center>';
 if ( $eventAccess ) 
	echo '<a href="./?dgo=eventos.php&sins='.$idg.'&idg='.$idg.'">Nuevo Evento</a>';
}
?>
